org.apache.ignite.ml.util.generators.primitives.vector

## Class VectorGeneratorsFamily.Builder

- java.lang.Object
- - org.apache.ignite.ml.util.generators.primitives.vector.VectorGeneratorsFamily.Builder

- Enclosing class:
    VectorGeneratorsFamily

      public static class VectorGeneratorsFamily.Builder
      extends Object

  Helper for distribution family building.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VectorGeneratorsFamily.Builder` | `add(VectorGenerator generator)` Adds generator to family with weight = 1.
    `VectorGeneratorsFamily.Builder` | `add(VectorGenerator generator, double weight)` Add generator to family with weight proportional to it selection probability.
    `VectorGeneratorsFamily` | `build()` Builds VectorGeneratorsFamily instance.
    `VectorGeneratorsFamily` | `build(long seed)` Builds VectorGeneratorsFamily instance.
    `VectorGeneratorsFamily.Builder` | `map(IgniteFunction<VectorGenerator,VectorGenerator> mapper)` Adds map function for all generators in family.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### add

          public VectorGeneratorsFamily.Builder add(VectorGenerator generator,
                                                    double weight)

      Add generator to family with weight proportional to it selection probability.
      Parameters:
        `generator` - Generator.
        `weight` - Weight.
      Returns:
        This builder.

    - #### add

          public VectorGeneratorsFamily.Builder add(VectorGenerator generator)

      Adds generator to family with weight = 1.
      Parameters:
        `generator` - Generator.
      Returns:
        This builder.

    - #### map

          public VectorGeneratorsFamily.Builder map(IgniteFunction<VectorGenerator,VectorGenerator> mapper)

      Adds map function for all generators in family.
      Parameters:
        `mapper` - Mapper.
      Returns:
        This builder.

    - #### build

          public VectorGeneratorsFamily build()

      Builds VectorGeneratorsFamily instance.
      Returns:
        Vector generators family.

    - #### build

          public VectorGeneratorsFamily build(long seed)

      Builds VectorGeneratorsFamily instance.
      Parameters:
        `seed` - Seed.
      Returns:
        Vector generators family.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022